> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/laptop-pack-v3/boosting/installation/lockpick-scripts.md).

# Lockpick Scripts

You must prevent external lockpick items from working on Boosting vehicles. \
Opening the vehicle with unauthorized scripts will interrupt the contract sequence. Players must exclusively use the designated `Config.CrackerItem` or the terminal command to unlock the target vehicle.

To block the lockpick items from working on boosting vehicles, use the [isBoosting export](/laptop-pack-v3/boosting/exports.md#isboosting-vehicle)

{% hint style="info" %}
The following EXAMPLE is for qbx\_vehiclekeys, I can't provide an example for every vehicle keys resource because there are too many in Fivem.
{% endhint %}

{% code title="qbx\_vehiclekeys/client/main.lua" %}

```lua
RegisterNetEvent('lockpicks:UseLockpick', function(isAdvanced)
    local vehicle = cache.vehicle
    -- Add the export here to check if vehicle is from an active Boosting contract:
    if exports['av_boosting']:isBoosting(vehicle) then return end
    if vehicle then
        if GetKeySearchEnabled() then
            DisableKeySearch()
            Hotwire(vehicle, isAdvanced)
            EnableKeySearch()
        else
            Hotwire(vehicle, isAdvanced)
        end
    else
        LockpickDoor(isAdvanced)
    end
end)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/boosting/installation/lockpick-scripts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
